#include<iostream>
using namespace std;
int main(){
    int n,k,a[n],mini,maxi,br=0;
    cin>>n;
    cin>>k;
    for(int i=0;i<n;i++){
        int a[i];
        cin>>a[i];
        br++;
        if(br==1)  mini=a[i];
        if(br==n)  mixi=a[i];    
    }
    br=0;
    for(int i=0;i<n;i++){
        if(k==a[i]){
            if(a[i]==mini)  br=1;
            else br=2;
        }
        if(br=2) 
           maxi=a[i];
    }
    cout<<maxi<<endl;
    return 0;
}